%define version 4.3.10
%define rversion 1.0

%define realname Enchant
%define modname enchant
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A38_%{modname}.ini

Summary:	Libenchant binder, support near all spelling tools
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 4
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/enchant
Source0:	enchant-%{rversion}.tar.bz2
Patch0:		enchant-1.0-lib64.diff.bz2
Requires:	php432
BuildRequires:	php432-devel
BuildRequires:	enchant-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Enchant is a binder for libenchant. Libenchant provides a common
API for many spell libraries:
 - aspell/pspell (intended to replace ispell)
 - hspell (hebrew)
 - ispell 
 - myspell (OpenOffice project, mozilla)
 - uspell (primarily Yiddish, Hebrew, and Eastern European languages)
   A plugin system allows to add custom spell support.
   see www.abisource.com/enchant/

%prep

%setup -q -n enchant-%{rversion}
%patch0 -p0

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-1mdk
- initial mandrake package
- added P0
